package com.webchat.connect.websocket.config;

import com.webchat.connect.websocket.handler.ChatWebSocketEndPointServletHandler;
import com.webchat.connect.websocket.interceptor.ChatWebSocketEndPointServletInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.socket.config.annotation.EnableWebSocket;
import org.springframework.web.socket.config.annotation.WebSocketConfigurer;
import org.springframework.web.socket.config.annotation.WebSocketHandlerRegistry;

@Configuration
@EnableWebSocket
public class WebSocketConnectServletConfig implements WebSocketConfigurer {

    private static final String CHAT_WEBSOCKET_PATH = "/connect-service/ws/chat/{bizCode}/{userId}";

    @Override
    public void registerWebSocketHandlers(WebSocketHandlerRegistry registry) {
        registry.addHandler(chatWebSocketEndPointServletHandler(), CHAT_WEBSOCKET_PATH)
                .setAllowedOrigins("*")
                .addInterceptors(new ChatWebSocketEndPointServletInterceptor()); ;
    }

    @Bean
    public ChatWebSocketEndPointServletHandler chatWebSocketEndPointServletHandler() {
        return new ChatWebSocketEndPointServletHandler();
    }
}