package com.webchat.user.service.relation;

import com.webchat.common.bean.APIPageResponseBean;
import com.webchat.domain.vo.response.UserBaseResponseInfoVO;

import java.util.Set;

public interface AccountRelationWrapper {

    /**
     * 订阅/关注
     *
     * @param sourceAccount
     * @param targetAccount
     * @return
     */
    Boolean subscribe(String sourceAccount, String targetAccount);

    /**
     * 取消订阅/关注
     *
     * @param sourceAccount
     * @param targetAccount
     * @return
     */
    Boolean unsubscribe(String sourceAccount, String targetAccount);

    /**
     * 查询账号关系数据
     * 注：走redis
     *
     * @param account
     * @param pageNo
     * @param pageSize
     * @return
     */
    APIPageResponseBean<UserBaseResponseInfoVO> listRelations(String account, Integer pageNo, Integer pageSize);

    /**
     * 查询订阅了当前账号的所有账号
     * 如：获取群组下的所有用户、获取公众号的所有订阅用户
     *
     * @param account
     * @return
     */
    Set<String> getAllSubscriber(String account);
}
